package com.dskj.znzn.transData.common.base;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@ApiModel(description = "返回结果")
@Data
public class R<T> {

    private int code;
    private String message;
    private T datas;

    public R(int code, T datas) {
        this.code = code;
        this.message = message;
        this.datas = datas;
    }

    public R(int code, String message, T datas) {
        this.code = code;
        this.message = message;
        this.datas = datas;
    }

    public static R ok() {
        return new R(200, "success", null);
    }

    public static <T> R<T> ok(T datas) {
        return new R(200, "success", datas);
    }

    public static <T> R<T> ok(String message, T datas) {
        return new R(200, message, datas);
    }


    public static <T> R<T> ok(int code, String message, T datas) {
        return new R(code, message, datas);
    }

    public static R error() {
        return new R(500, "fail", null);
    }

    public static R error(String message) {
        return new R(500, message, null);
    }


    public static R error(int code, String message) {
        return new R(code, message, null);
    }

}
