
package com.dskj.znzn.transData.web.WaveData.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dskj.znzn.transData.common.exception.BusinessException;
import com.dskj.znzn.transData.web.WaveData.entity.WaveData;
import com.dskj.znzn.transData.web.WaveData.indata.GetMesureDataInData;
import com.dskj.znzn.transData.web.WaveData.mapper.WaveDataMapper;
import com.dskj.znzn.transData.web.WaveData.service.IWaveDataService;

import java.util.List;

import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor(onConstructor = @__({@Autowired}))
public class WaveDataServiceImpl extends ServiceImpl<WaveDataMapper, WaveData> implements IWaveDataService {
    private final WaveDataMapper waveDataMapper;

    public List<WaveData> getMesureData(GetMesureDataInData inData) {
        if (inData.getWindCode().contains(" ")) {
            throw new BusinessException("风场参数异常");
        } else {
            return this.waveDataMapper.getMesureData(inData.getWindCode() + "_wave", inData.getWindTurbineNumberList(), inData.getStartTime(), inData.getEndTime(), inData.getMesureNameList());
        }
    }

    public WaveData getById(String windCode, Integer id) {
        if (windCode.contains(" ")) {
            throw new BusinessException("风场参数异常");
        } else {
            return this.waveDataMapper.getById(windCode + "_wave", id);
        }
    }
}
